#ifndef _PIAPP_H_
#define _PIAPP_H_

#include <Application.h>
#include <Resources.h>
#include <String.h>

class YaMainWindow;
class BeYamAboutWin;
class BeYamInputWin;

class YaApp : public BApplication
{
public:
								YaApp();
	virtual						~YaApp();
	virtual void 				MessageReceived(BMessage *message);
	void						ShowAbout();
	void						ShowHall(int score);
	void 						ShowInput(int score);
	
 	BBitmap 					*GetBitmap(int no);
	
	BeYamAboutWin				*About;
 	YaMainWindow *YaMain;
	BResources			Yaressource;
	int					total_libre;
	BString				name_gene;

private:
	BeYamInputWin				*HallInput;

};

extern YaApp *ya_app;

#endif
